void f(void) {
	tid_t c = thread_current();
	if (c) {
		printf("ALL IS GOOD");
	}
}

void check(tid_t x) {
	if (x) {
		printf("tid is non-null\n");
	}
	if (!x) {
		printf("tid is null\n");
	}
}

int main(void) {
	tid_t n;
	tid_t t = thread_new(&f);
	check(n);
	check(t);
	return 0;
}
